Subject: Latest DLSw Capabilities Summary

From: [email-masked]
Date: Wed, 22 Sep 93 19:43:32 PDT

Capabilities SIGlet members -

    Attached below is the latest DLSw Capabilities Summary.  Hopefully, I've
    incorporated all of your input correctly this time.

    If you see any problems or would like to add/delete/change any of the
    information in this summary, please let me know and I will update
    it for the DLSw SIG meeting on Tuesday.

    I am leaving tomorrow morning (Thursday) for Raleigh so changes won't
    be reflected in the summary until the SIG meeting.

    See you next week.

Thanks,
-----------
Wayne Clark
cisco Systems, Inc.
[email-masked]
415/688-4627

		      DLSw Capabilities SIGlet

			     Feature List

		    Wed Sep 22 19:17:44 PDT 1993

+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
Feature:	Base Set vs. Option Sets
    Description:	What features in ODLS should be base requirements for
			interoperability and which ones should be optional.
    Member Input:
	Cayman		Base   = RFC 1434 + capab exchng + flow control
			Option = name server
	Novell		Option = NetBIOS support
	Eicon		Base   = (today's) DLSw (i.e. default capabilities)
	3Com		Option = loop prevention
	Eicon		Option = directory service
	Wellfleet	Base   = RFC 1434
			Option = SIG effort
    Comments:
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
Feature:	Vendor Id
    Description:	Include a vendor id, vendor release number, etc. in
			the capabilities exchange.
    Member Input:
	Cisco		Vendor id is a good thing.
	Wellfleet	Wary about vendor id.
	Proteon		Vendor id is a good thing.  Aids in problem det.
	Cayman		Don't like vendor id.  Invites variations.
	Hypercom	Vendor id is a good thing.  Aids in problem det.
	Novell		Vendor id is a good thing.  Good for troubleshooting.
	Eicon		Vendor id is a good thing.  Ignoring it is ok.
    Comments:
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
Feature:	TCP vs. UDP for Capabilities Exchange
    Description:	Transport of the capabilities across TCP or UDP.
    Member Input:
	Cisco		TCP or UDP, with a preference for UDP.
	Novell		TCP only.  For reasons of alternate transport.
	BBN		TCP only.  For reasons of alternate transport.
	Wellfleet	TCP only.  Use another SSP message within TCP.
	Cayman		TCP only.  Use another SSP message within TCP.
	Hypercom	Leaning toward UDP.
	Ascom/T-plex	TCP only.  Use another SSP message within TCP.
			Concerned about requiring IP multicast.
	Eicon		TCP only.
    Comments:
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
Feature:	Data Stream Format
    Description:	How should the capabilities exchange data stream
			be formatted?
    Member Input:
	Cisco		GDS format (i.e. LLID).
	Novell		GDS format (i.e. LLID).
	Cayman		Tag / length. (i.e. like GDS = editor note)
	Hypercom	GDS format (i.e. LLID).
	Eicon		GDS format (i.e. LLID).
	Wellfleet	GDS format (i.e. LLID).
    Comments:
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
Feature:	Optional CANUREACH / ICANREACH
    Description:	Should CUR/ICR be optional at connection startup?
    Member Input:
	Cisco		They should be optional.  Must be able to send/recv.
	Novell		Ability to suppress sending CANUREACH.
    Comments:
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
Feature:	Directory Server / Name Server
    Description:	How should ODLS-capable routers find out about each
			other?
    Member Input:
	Radlinx		List of already-known ODLS routers in capabilities
			exchange.
	Hypercom	Name server treading onto APPN turf. Objective, but
			not in the base.
	Cisco		List of already-known ODLS routers in capabilities
			exchange.
	Novell		List of ODLS routers in capabilities exchange.  Don't
			want it link state-based.
	Eicon		Directory Service could be a good idea but should
			not be addressed now.
	Wellfleet	Directory Server should be a future service. Leave
			out until further investigation.
    Comments:
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+